Subject: emacs 22.2.1 becomes confused

From: "Bruce Korb" <[email-masked]>
Date: Mon, 30 Jun 2008 08:03:12 -0700

Hi,

I recently re-installed my system.  For various reasons not worth
going into here,
I renamed my home directory from /home/foo to /home/Foo and re-created my
"foo" user name.  It is not possible to edit anything in the /home/Foo hierarchy
with emacs.  At all.  I can cd to the correct directory and invoke "emacs file"
and it will try to open the equivalently named file under /home/foo.  Somebody
somewhere fiddled some code such that tab-completion works correctly, but
when it comes to actually "visiting" the file, the blasted thing substitutes
"$HOME" for "/home/Foo".  Someone please be kind enough to find that
"strncasecmp" and replace it with "strncmp" and put out an emergency fix.

Thank you.  Regards, Bruce

$ /usr/bin/emacs --version
GNU Emacs 22.2.1
Copyright (C) 2008 Free Software Foundation, Inc.